ifs(6x)

NAME
ifs - draws spinning, colliding iterated-function-system images

SYNOPSIS
ifs [--display host:display.screen] [--visual visual] [--window] [--root] [--window-id number] [--no-db] [--delay number] [--detail number] [--colors number] [--functions number] [--iterate | --recurse] [--no-rotate] [--no-scale] [--no-translate] [--fps]

DESCRIPTION
The ifs program draws spinning, colliding iterated-function-system images.

OPTIONS

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--no-db
    Disable double-buffering.

--delay number
    Per-frame delay, in microseconds. Default: 20000

--colors number
    Number of colours to use. Default: 200

--detail number
    In --iterate mode, number of times to randomly iterate the functions, in thousands. In --recurse mode, number of times to apply functions (recursion depth) before drawing each point. Default: 9

--functions number
    Number of functions to be iterated. Default: 3

--iterate
    Calculate by iteratively applying the functions in a random order, usually faster than --recurse. This is the default.

--recurse
    Calculate by recursively applying all combinations of the functions. This is the historical behavior and may produce neater output than --iterate.

--no-rotate
    Disable the rotation component of the functions.

--no-scale
    Disable the scaling component of the functions.

--no-translate
    Disable the varying translation component of the functions.

--no-multi
    Turn off multi-coloured mode, only one colour is used to colour the whole set.

--fps
    Display the current frame rate and CPU load.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1), ifs(6x)

COPYRIGHT
Copyright © Chris Le Sueur and Robby Griffin, 2005-2006

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE X CONSORTIUM BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

AUTHOR
This version by Chris Le Sueur <thefishface@gmail.com>, Feb 2005 Many improvements by Robby Griffin <rmg@terc.edu>, Mar 2006